#
# umpk01.rb
#
# $Id: umpk01.rb,v 1.1 2000/11/22 14:36:00 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math


NP = 14

#-- data ---
ntr =           [10,   11,   12,   13,   14,   15,   20,
                 21,   22,   23,   30,   31,   32,   33]
fct = NArray[0.12, 0.12, 0.14, 0.14, 0.14, 0.14, 0.11,
               0.16, 0.12, 0.12, 0.40, 0.12, 0.12, 0.17]

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn(-(iws.abs))

slrat(2.0, 3.0)
sldiv('Y', 2, 3)

sgrset('STLAT1', 45.0)
sgrset('STLAT2', 30.0)

umlset('LGRIDMN', false)
umiset('INDEXMJ', 1)

for i in 0..NP-1
  sgfrm
  sgssim(fct[i], 0.0, 0.0)
  sgsmpl(0.0, 90.0, 0.0)
  sgsvpt(0.1, 0.9, 0.1, 0.9)

  if ( ntr[i] == 30 )
    sgstxy(-180.0, 180.0, 0.0, 90.0)
  else
    sgstxy(-180.0, 180.0, -90.0, 90.0)
  end
  sgstrn(ntr[i])
  sgstrf

  sglset('LCLIP', true)
  slpwwr(1)
  slpvpr(1)
  cttl = sgtrnl(ntr[i])
  sgtxzr(0.5, 0.95, cttl, 0.03, 0, 0, 3)

  umpmap('coast_world')
  umpglb

  if ( ntr[i] == 23 )
    sgfrm
    sgfrm
  end
end

sgcls

